# PASNTimeTicks Class Reference

A descendant of PASNObject which is an unsigned ASN time tick type. More...

`#include <pasn.h>`

Inheritance diagram for PASNTimeTicks:

List of all members.

## Public Member Functions

| PASNTimeTicks (PASNUnsigned val)
| PASNTimeTicks (const PBYTEArray &buffer, PINDEX &ptr)
void | Encode (PBYTEArray &buffer)
| Virtual function used to encode the object into ASN format.
PObject * | Clone () const
| Virtual function used to duplicate objects.
PASNObject::ASNType | GetType () const
| Return a value of type enum ASNType which indicates the type of the object.
PString | GetTypeAsString () const
| Return a string giving the type of the object.

## Detailed Description

A descendant of PASNObject which is an unsigned ASN time tick type.

## Constructor & Destructor Documentation

PASNTimeTicks::PASNTimeTicks | ( | PASNUnsigned | val | ) | `[inline]`

PASNTimeTicks::PASNTimeTicks | ( | const PBYTEArray & | buffer,
|  | PINDEX & | ptr |
| ) |  |  | `[inline]`

## Member Function Documentation

PObject* PASNTimeTicks::Clone | ( |  | ) | const`[inline, virtual]`

Virtual function used to duplicate objects.

Reimplemented from PASNObject.

void PASNTimeTicks::Encode | ( | PBYTEArray & | buffer | ) | `[inline, virtual]`

Virtual function used to encode the object into ASN format.

Reimplemented from PASNObject.

PASNObject::ASNType PASNTimeTicks::GetType | ( |  | ) | const`[inline, virtual]`

Return a value of type enum ASNType which indicates the type of the object.

Reimplemented from PASNObject.

PString PASNTimeTicks::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASNObject.

The documentation for this class was generated from the following file:

- pasn.h